POST api/Dashboard/GetDashboardCPWRTWChangeRequest/search
Request Information
URI Parameters
None.
Body Parameters
QueryParameter| Name | Description | Type | Additional information |
|---|---|---|---|
| PageNum | integer |
None. |
|
| PageSize | integer |
None. |
|
| Sort | Sort |
None. |
|
| Sorts | Collection of Sort |
None. |
|
| Filters | Collection of Filter |
None. |
|
| extends | Dictionary of string [key] and Object [value] |
None. |
Request Formats
application/json, text/json
Sample:
{
"PageNum": 1,
"PageSize": 2,
"Sort": {
"Field": "sample string 1",
"Dir": "sample string 2"
},
"Sorts": [
{
"Field": "sample string 1",
"Dir": "sample string 2"
},
{
"Field": "sample string 1",
"Dir": "sample string 2"
}
],
"Filters": [
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
},
{
"Field": "sample string 1",
"Operator": "sample string 2",
"Value": {},
"Logic": "sample string 4",
"Filters": []
}
],
"extends": {
"sample string 1": {},
"sample string 3": {}
}
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfListOfPendingCPWRTWChangeRequestDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of PendingCPWRTWChangeRequestDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"ClinicalPathwayId": 2,
"RequestedWorkStatusId": 3,
"RequestNote": "sample string 4",
"Status": 5,
"RequestedUserName": "sample string 6",
"CaseNo": 7,
"FirstName": "sample string 8",
"LastName": "sample string 9",
"CorporationCode": "sample string 10",
"CompanyName": "sample string 11",
"WLName": "sample string 12",
"EmployeeId": "sample string 13",
"CompanyEmployeeId": "sample string 14",
"ResponseUserName": "sample string 15",
"ResponseDateTime": "2026-06-20T12:55:43.5243756-07:00",
"ReasonForDelete": "sample string 16",
"DeclineNote": "sample string 17",
"Sequence": 18,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:55:43.5243756-07:00",
"DateUpdated": "2026-06-20T12:55:43.5243756-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
},
{
"Id": 1,
"ClinicalPathwayId": 2,
"RequestedWorkStatusId": 3,
"RequestNote": "sample string 4",
"Status": 5,
"RequestedUserName": "sample string 6",
"CaseNo": 7,
"FirstName": "sample string 8",
"LastName": "sample string 9",
"CorporationCode": "sample string 10",
"CompanyName": "sample string 11",
"WLName": "sample string 12",
"EmployeeId": "sample string 13",
"CompanyEmployeeId": "sample string 14",
"ResponseUserName": "sample string 15",
"ResponseDateTime": "2026-06-20T12:55:43.5243756-07:00",
"ReasonForDelete": "sample string 16",
"DeclineNote": "sample string 17",
"Sequence": 18,
"ValidFlag": true,
"DateCreated": "2026-06-20T12:55:43.5243756-07:00",
"DateUpdated": "2026-06-20T12:55:43.5243756-07:00",
"UserIDCreated": 22,
"UserIDUpdated": 23,
"CompanyCode": "sample string 24",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}